Subject: Re: local mail: best way to insert @myhost.fqdn?

From: Roman Czyborra <[email-masked]>
Date: Mon, 6 Feb 1995 18:22:30 +0100 (MET)

> When I receive mail from someone who's on the same system that I'm on 
> their From: line does not contain a full internet address.

This can be fixed somewhere in your sendmail configuration.
Of course you can also do it in procmail:

	:0 # From: Santa Claus <santa>
	* ^From:[^,<(]+<[^@!%>]+>$
	{
		:0
		* ^From: *\/[^ <]+( [^ <])*
		{ NAME="$MATCH" }

		:0
		* ^From:.*<\/[^>]+
		{ ADDRESS="$MATCH" }

	}

	:0 # From: santa (Santa Claus), name has no RFC 822 specials
	* ^From:[ 	]*[^ 	@!%]+[ 	]*[(][	 !#-'*+-/-9?a-z^_{|}]+[)]$
	{
		:0
		* ^From:[	 ]*\/[^ 	]+
		{ ADDRESS="$MATCH" }

		:0
		* ^From:.*[(]\/[^)]+
		{ NAME="$MATCH" }
	}

	:0 fhw
	* ADDRESS??.
	| formail -I"From: $NAME <[email-masked]>"

This is untested, but I have a similar recipe in my sendmail wrapper.